Page MenuHomePhabricator

EventBus schema validation should report the name of the failed property
Closed, ResolvedPublic

Description

When event schema validation fails we receive a pretty cryptic log message, something like None is not of type 'string' (See example in T187362). Then it's fairly hard to understand which property exactly did not pass validation so we have to spend some time trying to find the failing on in the event.

Instead, EventBus service could report the path to the failing property.

Event Timeline

Pchelolo created this task.Feb 22 2018, 6:13 PM
Restricted Application added a project: Analytics. · View Herald TranscriptFeb 22 2018, 6:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
fdans moved this task from Incoming to Dashiki on the Analytics board.Feb 22 2018, 6:17 PM

Change 413765 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[eventlogging@master] Add a path to the validation error to the log message.

https://gerrit.wikimedia.org/r/413765

Change 413765 merged by Mobrovac:
[eventlogging@master] Add a path to the validation error to the log message.

https://gerrit.wikimedia.org/r/413765

Milimetric moved this task from Dashiki to Incoming on the Analytics board.Apr 2 2018, 3:32 PM
Nuria closed this task as Resolved.Apr 5 2018, 5:26 PM